Subject: categories: Re: ramifications of Goldblatt's notion of a skeleton of a category

From: Bruce Bartlett <[email-masked]>
Date: Tue, 04 Jul 2006 17:14:12 +0100

Fred E.J. Linton wrote:

> There's little hope of skel becoming a functor without data of the
> sort just mentioned. Probably the strong temptation to "wish" that the
> full inclusion {SKEL} --> {CAT} (of the
> full subcategory of skeletal categories among all categories)
> were an equivalence of categories, or at least the inclusion of a full
> reflexive subcategory (with skel as inverse, or at least, reflection
> back down), is one to be steer clear of, if at all possible, in general.

The situation is actually quite neat. Suppose that, for each category C
in Cat, one chooses a skeleton C_0, and isomorphisms from each object to
the choice of the skeletal object, as you say. Then, indeed, the
operation Skel : Cat -> Cat which sends each category to its chosen
skeleton can be made into a (necessarily weak, but thats the interesting
part) 2-functor, and can can be extended to an equivalence of 2-categories.

Its a special case of a more general notion :  if you have a 2-category
X, such that every object A in X has an associated object A' and an
adjoint equivalence between A and A', then the operation T : X -> X,
which (on objects) sends A to A', is in fact a weak 2-functor, and
indeed a 2-equivalence. Its all rather nice if you draw it out in string
diagrams.

Regards,
Bruce Bartlett

Vasili "Bill" [G|H]alchin, in

> ramifications of Goldblatt's notion of a skeleton of a category
>

asks, in connection with

> the notion of a "skeleton of a category C" which he
> defines as a "full
> subcategory C-sub-zero of C that is skeletal, and such that each C-object
>
is

> isomorphic
> to one and only one C-sub-zero object"
>

, the following:

>    1) what "maximal" means in this case? ...some kind of order on
> all the
>            skeletons of category C?
>
>    2) would the "operator" skel be a functor?
>

A category "is skeletal" if for each isomorphism A --> B the objects
A and B are the same object (A = B). With this in mind, the phrase
"and only one" in Golblatt's quoted definition is superfluous, being
a consequence of (rather than a condition required for) the definition.

Once one has a _choice_ of isomorphism from each object of C to the
(unique) object of a skeleton of C that it's isomorphic to
(but it may take the axiom of choice to be assured of such an iso), any
two skeleta of C become isomorphic to each other. There's no inherent
"order" among the various possible skeleta of C.

Data making the inclusion into C of any full subcategory that is a
skeleton of C an equivalence of categories IS precisely
such a "choice of isomorphism from each object of C to the
(unique) object of a skeleton of C that it's isomorphic to"
mentioned above.

There's little hope of skel becoming a functor without data of the sort
just mentioned. Probably the strong temptation to "wish" that the full
inclusion {SKEL} --> {CAT} (of the
full subcategory of skeletal categories among all categories)
were an equivalence of categories, or at least the inclusion of a full
reflexive subcategory (with skel as inverse, or at least, reflection
back down), is one to be steer clear of, if at all possible, in general.

Cheers,

-- Fred (Linton, and as of today, Emeritus from Wesleyan U. :-) )

[original post follows]

> Hello,
>
>      Rob Goldblatt in section 9.2 of his book "Topoi: The Categorical
> Analysis of
> Logic" introduces the notion of a "skeleton of a category C" which he
> defines as a "full
> subcategory C-sub-zero of C that is skeletal, and such that each C-object
>
is

> isomorphic
> to one and only one C-sub-zero object". This statement seems to imply
> that
> we can have an "operator":
>
>    skel: CAT -> CAT   where CAT is the categories of (small) categories
>
> such that
>
>   1) skel is idempotent on any member of C of CAT, i.e.
> ]
>   skel (skel (C)) = skel (C)
>
>   2) skel (C) = a "maximal" skeleton of C.
>
> I am struggling with
>
>    1) what "maximal" means in this case? E.g. is there some kind of order
>
on

> all the
>            skeletons of category C?
>
>    2) would the "operator" skel be a functor?
>
>
> Kind regards, Bill Halchin
>
>